Payout wallets
Create Privy Chain Wallet
Calls the Privy REST API to create a server wallet for a Privy user id; nothing persisted.
POSThttps://api.toku.com/hris/create-privy-chain-wallet
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/create-privy-chain-wallet' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"chainType": "ethereum",
"privyUserId": "string",
"orgNetworkID": "string",
"privyAccessToken": "string"
}'200 response
{
"id": "string",
"address": "string",
"chainType": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
chainTypestringrequiredAvailable options: ethereum, solana
privyUserIdstringrequiredAllowed: at least 1 characters
orgNetworkIDstringrequiredAllowed: at least 1 characters
privyAccessTokenstringrequiredAllowed: at least 1 characters
Response
200Successful response
idstringrequiredaddressstringrequiredchainTypestringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits